> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/supports-exchanges.md).

# Supports exchanges

## POST /supports-exchanges/

> Create a support exchange

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"SupportsExchanges"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"NewSupportsExchange":{"properties":{"site":{"$ref":"#/components/schemas/NewSupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/NewSupportsExchange_support_type"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"}},"required":["site","support_type"],"type":"object"},"NewSupportsExchange_site":{"description":"uid of the site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"NewSupportsExchange_support_type":{"description":"Type of the supports that are exchanged","properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"your id of the support type","type":"string"}},"type":"object"},"SupportsExchange":{"properties":{"uid":{"description":"uid of the support exchange","format":"uuid","type":"string"},"site":{"$ref":"#/components/schemas/SupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/SupportType"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"},"remote_id":{"description":"The ID of the support in your system","type":"string"}},"type":"object"},"SupportsExchange_site":{"description":"site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"}}},"paths":{"/supports-exchanges/":{"post":{"operationId":"createSupportsExchanges","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewSupportsExchange"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportsExchange"}}},"description":"Create successful"}},"summary":"Create a support exchange","tags":["SupportsExchanges"]}}}}
````

## GET /supports-exchanges/{uid\_or\_remote\_id}/

> Read a support exchange

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"SupportsExchanges"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"SupportsExchange":{"properties":{"uid":{"description":"uid of the support exchange","format":"uuid","type":"string"},"site":{"$ref":"#/components/schemas/SupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/SupportType"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"},"remote_id":{"description":"The ID of the support in your system","type":"string"}},"type":"object"},"SupportsExchange_site":{"description":"site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"}}},"paths":{"/supports-exchanges/{uid_or_remote_id}/":{"get":{"operationId":"readSupportsExchanges","parameters":[{"description":"Dashdoc `uid` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"uid_or_remote_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportsExchange"}}},"description":"Get successful"}},"summary":"Read a support exchange","tags":["SupportsExchanges"]}}}}
````

## PATCH /supports-exchanges/{uid\_or\_remote\_id}/

> Partially update a support exchange

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"SupportsExchanges"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"UpdateSupportsExchange":{"properties":{"site":{"$ref":"#/components/schemas/NewSupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/NewSupportsExchange_support_type"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"}},"required":["site","support_type"],"type":"object"},"NewSupportsExchange_site":{"description":"uid of the site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"NewSupportsExchange_support_type":{"description":"Type of the supports that are exchanged","properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"your id of the support type","type":"string"}},"type":"object"},"SupportsExchange":{"properties":{"uid":{"description":"uid of the support exchange","format":"uuid","type":"string"},"site":{"$ref":"#/components/schemas/SupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/SupportType"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"},"remote_id":{"description":"The ID of the support in your system","type":"string"}},"type":"object"},"SupportsExchange_site":{"description":"site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"}}},"paths":{"/supports-exchanges/{uid_or_remote_id}/":{"patch":{"operationId":"partialUpdateSupportsExchanges","parameters":[{"description":"Dashdoc `uid` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"uid_or_remote_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSupportsExchange"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportsExchange"}}},"description":"Update successful"}},"summary":"Partially update a support exchange","tags":["SupportsExchanges"]}}}}
````
